{% extends "base.html" %}

{% block title %}Employer Signup{% endblock title %}

{% block content %}

    <!-- Registration Form
    ================================================== -->

     <script type="text/javascript" src="/static/js/jquery-2.1.3.min.js"></script>
     <script type="text/javascript">
     $(document).ready(function(){
        $("#employer-signup").validationEngine();

        $(function() {
    // Click-handler for the refresh-link
    $('.captcha-refresh').click(function(){
        var $form = $(this).parents('form');
        var url = location.protocol + "//" + window.location.hostname + ":"
                  + location.port + "/captcha/refresh/";

        // Make the AJAX-call
        $.getJSON(url, {}, function(json) {
            $form.find('input[name="captcha_0"]').val(json.key);
            $form.find('img.captcha').attr('src', json.image_url);
        });

        return false;
    });
});

//Main function finishes here
});
     </script>

    <center>
    <div class="panel panel-default" style="width: 75%;" >
        <div class="panel-heading">
            <h2 class="text-center text-success"><strong><em>Employer Sign Up</em></strong></h2>
        </div>
        <div class="panel-body">

            <form method="POST" id="employer-signup" action="{% url 'employer_signup' %}">{% csrf_token %}

                {% if form.non_field_errors %}
                    <p class="error">
                        {% for error in form.non_field_errors %}
                            {{ error }}
                        {% endfor %}
                    </p>
                {% endif %}

                {% if passwd_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Password Error.</em></strong></div>
                {% endif %}

                {% if email_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>E-mail Already Exists.</em></strong></div>
                {% endif %}

                {% if username_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Company Name Already Exists.</em></strong></div>
                {% endif %}

                {% if success %}
                    <div class="alert alert-success" role="alert"><strong><em>Your Registration is Successfully Completed. Please Login.</a></em></strong></div>
                {% endif %}

                <br />

                <div class="form-group">
                    <div class="row">
                        <div class="col-sm-6">
                            <input class="form-control validate[required] text-input" placeholder="Compnay Name" name="cname" type="text" value="{{ cname }}" />
                        </div>
                        <div class="col-sm-6">
                            <input class="form-control validate[required,custom[email]] text-input" placeholder="Company Email" name="email" type="text" value="{{ email }}" /> 
                        </div>
                    </div>
                    <br />

                    <div class="row">
                    <div class="col-sm-6">
                        <input class="form-control validate[required] text-input" type="text" id="address" name ="address" placeholder="Company Address" value="{{ addr }}" >
                    </div>
                    <div class="col-sm-6">
                        <input class="form-control validate[required,custom[phone]]" type="text" id="phone" name ="phone" placeholder="+880-xxxxxxxxx" value="{{ phone }}" >
                    </div>
                    </div>
                    <br />

                    <div class="row">
                    <div class="col-sm-12" align="left">
                        <label>Business Type &nbsp</label>
                        <select class="form-control validate[required]" name="business" >
                            <option value="">Select Business Type</option>
                            {% for item in category %}
                                <option>{{ item }}</option>
                            {% endfor %}
                        </select>
                    </div>
                    </div>
                    <br />

                    <div class="row">
                        <div class="col-sm-6">
                            <input class="form-control validate[required]" id="password1" placeholder="Password" name="password1" type="password" />
                        </div>
                        <div class="col-sm-6">
                            <input class="form-control validate[required,equals[password1]]" placeholder="Confirm Password" name="password2" type="password"  /> 
                        </div>
                    </div> 

                    <br />
                    {% for field in form %}
                    <div class="form-group">
                        {{ field.label_tag }}
                        <!-- If the field is required, display a * next to the field label -->
                        {% if field.field.required %}*{% endif %}
                        <br/>
                        <!-- Render the input field -->
                        {{ field }}  <a href="#" class="captcha-refresh">Try different image</a>
                        <!-- Iterate over the field's errors, if any and display
                        them one by one in a error alert
                        -->
                        {% if field.errors %}
                            <p class="error">
                            {% for error in field.errors %}
                                {{ error }}
                            {% endfor %}
                            </p>
                        {% endif %}
                    </div>
                    {% endfor %}
                    <br />
                    
                    <div class="row">
                        <br>
                        <div class="col-sm-6">
                            <button class="btn btn-lg btn-block btn-success" type="submit"><i class="glyphicon glyphicon-ok-sign"></i> Sign Up</button>
                        </div>
                        <div class="col-sm-6">
                            <button class="btn btn-lg btn-block btn-warning" type="reset"><i class="glyphicon glyphicon-repeat"></i> Reset</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    </center>

{% endblock content %}